@import url('https://fonts.googleapis.com/css2?family=Chivo+Mono:wght@300;400;700&display=swap');

:root {
    --main-bg-color: #0a002b;
    --primary-color: white;
    --secondary-color: #cccccc;
    --accent-color: white;
    --font-family: 'Chivo Mono', monospace;
    --base-spacing: 25px;
    --transition-speed: 0.3s;
    --logo-size: 120px;
    --vh: 100vh;
    --vw: 100vw;
}

html,
body {
    display: flex;
    flex-direction: column;
    height: var(--vh);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
    font-family: 'Chivo Mono', monospace;
    color: white;
    background-color: black;
    z-index: -5;
    transition: height 0.3s ease; 
}

body {
    background: linear-gradient(#000000, rgb(41, 0, 0), #00328a);
    background-repeat: repeat;
    width: var(--vw);
    height: var(--vh);
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    word-wrap: break-word;
}

.background-form-a,
.background-form-b {
    position: fixed;
    transform: translate(-50%, -50%);
    width: var(--vw);
    height: calc(var(--vw) * 0.8);
    transition: transform 0.3s ease;
}

.noise {
    content: "";
    position: fixed; 
    top: 0;
    left: 0;
    width: var(--vw);
    height: var(--vh);
    background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 245 245' xmlns='http://www.w3.org/2000/svg'%3E%3Cfilter id='noiseFilter'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='6.15' numOctaves='10' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noiseFilter)'/%3E%3C/svg%3E%0A");
    pointer-events: none;
    background-repeat: repeat;
    background-size: 245px 245px; 
    opacity: 0.4; 
    pointer-events: none;
    z-index: 0;
}

.background-form-a {
    animation: floatA 100s ease-in-out infinite;
    left: 60%;
    top: 90%;
    rotate: 30deg;
    background: linear-gradient(360deg, #ff3900, #5f0000 51.68%, rgb(0, 43, 255));
    mix-blend-mode: exclusion;
    z-index: 0;
    transition: top 0.3s ease;
}

.background-form-b {
    animation: floatA 100s ease-in-out infinite;
    animation: blurIn 25s forwards;
    left: 60%;
    top: 90%;
    rotate: 30deg;
    background: linear-gradient(360deg, #ff3900, #5f0000 51.68%, rgb(0, 43, 255));
    mix-blend-mode: exclusion;
    z-index: 0;
    filter: blur(0px);
    transition: top 0.3s ease;
}

.background-form-d {
    animation: floatA 150s ease-in-out infinite;
    left: 60%;
    top: 90%;
    rotate: 30deg;
    background: #c9c9c9;
    mix-blend-mode: difference;
    z-index: 0;
    filter: blur(150px);
}

nav {
    height: 125px;
    display: flex;
    align-items: flex-start;
    width: 100%;
    padding-top: var(--base-spacing);
}

.logo {
    flex: 0 0 20%;
    padding-left: 24px;
    padding-top: 10px;
    margin-right: auto;
    height: var(--logo-size);
    z-index: 2;
}

.logo a {
    display: inline-block;
    text-decoration: none;
}

.logo img {
    display: block;
    width: var(--logo-size);
    height: auto;
}

.nav-items {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-grow: 1;
    padding-right: var(--base-spacing);
}

.nav-items a {
    color: var(--primary-color);
    text-decoration: none;
    font-size: 1.4rem;
    position: relative;
    padding: 5px 0;
    transition: color 0.3s ease;
}

.nav-items a::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 2px;
    background-color: var(--accent-color);
    width: 0%;
    transition: width 0.3s ease-out;
}

.nav-items a:hover::after {
    width: 100%;
}

/* Hamburger and Menu Overlay Styles */
.hamburger {
    display: none;
    font-size: 2rem;
    background: none;
    border: none;
    color: var(--primary-color);
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: var(--base-spacing);
    z-index: 100;
}

/* Menu Overlay Animation */
.menu-overlay {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: var(--vh);
    background: linear-gradient(#000000, rgb(41, 0, 0), #00328a);    z-index: 200;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;
}

.menu-overlay.active {
    opacity: 1;
    visibility: visible;
}

/* Menu Items Animation */
.menu-content {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    animation: fadeIn 0.5s ease forwards;
    opacity: 0;
}

.menu-overlay.active .menu-content {
    animation: fadeIn 0.5s ease forwards;
    opacity: 1;
}

.close-button {
    position: absolute;
    top: 20px;
    left: 40px;
    font-size: 3rem;
    color: var(--primary-color);
    cursor: pointer;
    z-index: 201;
}


.hero-left, .content-a, .content-b, .content-c {
    flex-grow: 1;
    min-height: 0;
}

.hero-container {
    height: calc(var(--vh) - 175px);
    display: grid;
    grid-template-columns: 1fr 1fr;
    flex-grow: 1;
    overflow: hidden;
    padding-left: var(--base-spacing);
    padding-right: var(--base-spacing);
    box-sizing: border-box;
}

.hero-left {
    justify-content: flex-end;    
    position: relative;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden;
    height: 100%;
    max-width: 600px;
    align-content: end;
}

.hero-right {
    justify-self: center;
    align-self: center;
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow-y: auto;
    height: 93%;
    max-width: 600px;
}

.content {
    flex-grow: 1;
}

.content-a {
    justify-self: end;
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden;
    height: 100%;
    max-width: 600px;
    margin-right: 12px;
    opacity: 0;
    /* Start hidden */
    animation: fadeIn 0.5s forwards;
    /* Apply fade-in animation */
}

.content-b {
    justify-self: center;
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden;
    height: 100%;
    max-width: 600px;
    margin-left: 12px;
    opacity: 0;
    /* Start hidden */
    animation: fadeIn 0.5s forwards;
    /* Apply fade-in animation */
}

.content-c {
    justify-self: center;
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden;
    height: 100%;
    max-width: 600px;
    margin-right: 12px;
    margin-left: 12px;
    opacity: 0;
    animation: fadeIn 0.5s forwards;
}

.content-main::-webkit-scrollbar {
    width: 2px;
    height: 2px;
    opacity: 0.05;
}

.content-main::-webkit-scrollbar-track {
    background: transparent;
}

.content-main::-webkit-scrollbar-thumb {
    background: white;
}

.content-main::-webkit-scrollbar-thumb:hover {
    background: #555;
}


::-webkit-scrollbar {
    width: 2px;
    height: 2px;
    opacity: 0.05;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background: white;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.content-container-2 {
    height: calc(var(--vh) - 200px);
    display: grid;
    grid-template-columns: 1fr 1fr;
    flex-grow: 1;
    overflow: hidden;
    padding-top: 6vh;
    padding-bottom: var(--base-spacing);
    padding-left: var(--base-spacing);
    padding-right: var(--base-spacing);
    box-sizing: border-box;
}

.content-container-3 {
    height: calc(var(--vh) - 200px);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    flex-grow: 1;
    overflow: hidden;
    padding-top: 6vh;
    padding-bottom: var(--base-spacing);
    padding-left: var(--base-spacing);
    padding-right: var(--base-spacing);
    box-sizing: border-box;
}

.content-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: transparent;
    mix-blend-mode: normal;
    pointer-events: none;
    z-index: -1;
}

.content-main {
    flex-grow: 1;
    overflow-y: auto;
    padding-right: calc(var(--base-spacing) / 2);
    hyphens: auto;
    word-wrap: break-word;
}

.title-container {
    position: absolute;
    bottom: 0;
    left: 0;
}

.title-text-a {
    font-size: clamp(2.2rem, 3.5vw, 3.2rem);
    font-weight: 100;
    margin: 0;
}

.title-text-b {
    font-size: clamp(calc(2.2rem / 1.5), calc(3.5vw / 1.5), calc(3.2rem / 1.5));
    font-weight: 100;
    margin: 0;
}

hr {
    border: none;
    width: 15px;
    height: 15px;
    background-color: white;
    /* border-radius: 50%; */
    margin: 25px 0;
    animation: pulse 3s infinite ease-in-out;
}

h1 {
    font-weight: 500;
    font-size: 1.8rem;
    border-width: 2px;
    margin-top: 0;
    margin-bottom: 20px;
}

h2 {
    font-size: 1.3rem;
    font-weight: 100;
    margin-block-start: 0em;
}

h3 {
    font-size: 1.2rem;
    font-weight: 200;
    margin-block-start: 0em;
}

p {
    font-size: 0.9rem;
    font-weight: 100;
}

.content h2,
.content p {
    padding-right: 15px;
    line-height: 1.4;
}

.gallery img {
    width: 100%;
    height: auto;
    display: block;
}

.event-container {
    position: relative;
    background-color: transparent;
    overflow: hidden;
    overflow-y: auto;
    max-height: 90vh;
    padding-right: 20px;
}

.event-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: transparent;
    mix-blend-mode: normal;
    pointer-events: none;
    z-index: -1;
}

.event-block {
    padding-bottom: 16px;
    /* padding-top: 12px; */
    /* border-bottom: solid; */
    border-width: 1px;
}

.event-name,
.event-detail {
    font-weight: 000;
    margin: 0;
    font-size: 1rem;
}

.event-name {
    font-size: clamp(2.2rem, 2.8vw, 3.0rem);
    padding-top: 12px;
}

.event-date {
    font-size: 1.2rem;
    margin: 0;
    padding-bottom: 8px;
}

.language-switch {
    position: fixed;
    bottom: var(--base-spacing);
    right: var(--base-spacing);
    border-radius: 5px;
    z-index: 1000;
    color: var(--primary-color);
    font-size: 1.2rem;
    text-align: center;
}

.instagram-link {
    position: fixed;
    bottom: var(--base-spacing);
    right: var(--base-spacing);
    border-radius: 5px;
    z-index: 1000;
    color: var(--primary-color);
    font-size: 1.2rem;
    text-align: center;
}

.language-switch a {
    color: var(--primary-color);
    text-decoration: none;
    transition: color var(--transition-speed);
}

.language-switch a:hover {
    color: var(--secondary-color);
}

footer {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

a:link {
    color: white;
}

a:visited {
    color: white;
}

a:hover {
    color: white;
}

a:active {
    color: white;
}

.button {
    border: 2px solid white;
    background-color: transparent;
    /* Optional: make the background transparent */
    color: white;
    /* Optional: make the text color white */
    padding: 10px 20px;
    font-size: 1.2rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    /* Optional: add transition for hover effects */
    font-family: 'Chivo Mono', monospace;
    margin-top: 15px;
}

.button:hover {
    background-color: white;
    color: black;
    /* Optional: change text color on hover */
}

.menu-overlay {
    display: none;
    /* Hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: var(--vh);
    background-color: rgba(0, 0, 0, 0.9);
    /* Semi-transparent background */
    z-index: 200;
    /* Above other elements */
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.menu-overlay.active {
    display: flex;
    /* Show the overlay when active */
}

.menu-content {
    text-align: center;
}

.menu-content a {
    color: var(--primary-color);
    text-decoration: none;
    font-size: 2rem;
    margin: 20px 0;
}

/* Animations */

@keyframes floatA {

    0%,
    100% {
        transform: translate(-50%, -50%) rotate(5deg);
    }

    50% {
        transform: translate(-88%, -15%) rotate(90deg);
    }
}

@keyframes floatB {

    0%,
    100% {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    50% {
        transform: translate(45%, -55%) rotate(0deg);
    }
}

@keyframes floatC {

    0%,
    100% {
        transform: translate(-50%, -50%) rotate(20deg);
    }

    50% {
        transform: translate(-45%, -52%) rotate(20deg);
    }
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

@keyframes blurIn {
    to {
        filter: blur(175px);
    }
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(0.9);
    }

    100% {
        transform: scale(1);
    }
}

.content-c:nth-child(1) {
    animation-delay: 0.1s;
}

.content-c:nth-child(2) {
    animation-delay: 0.2s;
}

.content-c:nth-child(3) {
    animation-delay: 0.3s;
}

/* Responsive design */

/* @media (max-width: 1200px) {
    .nav-items a {
        font-size: 1.2rem;
    }
} */

@media (min-width: 1800px) {
    .logo {
        flex: 0 0 40%;
    }

    .content-container-3 {
        height: calc(var(--vh) - 200px);
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        flex-grow: 1;
        overflow: hidden;
        padding-top: 6vh;
        padding-bottom: var(--base-spacing);
        padding-left: 15vw;
        padding-right: 15vw;
        box-sizing: border-box;
    }

    .content-container-3 {
        padding-left: 15vw;
        padding-right: 15vw;
    }
}

@media (max-width: 1200px) {

    .instagram-link {
        display: none;
    }

    .content-container-3, .content-container-2, .content-container-1 {
        grid-template-columns: 1fr;
        height: auto;
        padding-bottom: 75px;
        padding-left: 12px;
        padding-right: 12px;
    }

    .content-main {
        overflow: visible;
        padding-right: 0px;
        width: 100%;
    }

    .content-a, .content-b, .content-c {
        margin-left: 0px;
        margin-right: 0px;
        padding-left: 12px;
        padding-right: 12px;
        padding-bottom: 12px;
        justify-self: center;
    }

    .logo img {
        width: 100px;
    }

    .hamburger {
        display: block;
        /* Show hamburger button on mobile */
    }

    .nav-items {
        display: none;
        /* Hide original nav items on mobile */
    }

    .nav-items a {
        padding: 10px;
        text-align: center;
        width: 100%;
    }

    .event-container {
        padding-left: 0px;
    }

    .title-text-a {
        font-size: 2.3rem;
    }

    .title-text-b {
        font-size: 1.8rem;
    }

    .hero-left-section {
        height: 100vh;
    }

    .hero-right-section {
        margin-top: 0vh;
        margin: 25px;
    }

    .hero-right {
        justify-self: left;
        align-self: center;
        max-width: none;
    }

    html,
    body {
        overflow: visible;
        display: block;
        height: auto;
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        overflow: auto;
        font-family: 'Chivo Mono', monospace;
        color: white;
        background-color: black;
        z-index: -5;
    }

    .hero-container {
        overflow: auto;
        padding-bottom: 75px;
        grid-template-columns: 2fr;
        padding-top: 0;
        display: block;
        height: auto;
        overflow: visible;
        padding-top: 0;
        padding-left: var(--base-spacing);
        padding-right: var(--base-spacing);
        box-sizing: border-box;
        grid-template-columns: 1fr;
        /* Single column layout on mobile */
    }

    .hero-left {
        padding-top: 50px;
        height: calc(var(--vh) - 225px);
    }

    .hero-right {
        justify-self: center;
        position: relative;
        display: block;
        flex-direction: column;
        flex-grow: 1;
        overflow: visible;
        padding-top: 50px;
    }

    .event-container {
        overflow: visible;
        max-height: none;
        /* Remove fixed height */
    }

    .language-switch {
        display: none;
    }
}
